> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/3.26.2/vehicle-spy-main-menus/main-menu-measurement/data-analysis-tool-dialog/data-analysis-calculated-channels.md).

# Data Analysis: Calculated Channels

The [Data Analysis](/vspy-3-documentation/3.26.2/vehicle-spy-main-menus/main-menu-measurement/data-analysis.md) tool can plot channels extracted from data files, but it can also create and plot new channels using calculations based upon extracted channels.\
\
Calculated channels are created using the Expression dialog shown in Figure 1. To open the Expression dialog, right click on the channel list in either the [Tool Dialog](/vspy-3-documentation/3.26.2/vehicle-spy-main-menus/main-menu-measurement/data-analysis-tool-dialog.md) or [Channel Value Pane](/vspy-3-documentation/3.26.2/vehicle-spy-main-menus/main-menu-measurement/data-analysis-channel-value-pane.md) areas. Next, select "Create a calculated channel" and the dialog will open.

![Figure 1: Expression dialog for editing Calculated Channels.](https://content.gitbook.com/content/IBP8B63pA3aIRGlHBRyH/blobs/9yecRvNSBBtQLir0lHGe/spyDACalculatedChannelSetup.gif)

### Build Calculated Channels (refer to Figure 1)

Build the calculated channel expression using data files, channels, operations and functions. Select channels by double clicking on them at location ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif). Select operations and functions by clicking the items shown at ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif). Enter numerical constants by typing directly in the Expression field.\
\
Give the new calculated channel a name and description at ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif). When finished, click the Test Expression button ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif) to see if the expression will compile ok. If it is not ok, fix the errors and test the expression again.\
\
After the expression tests ok, add the calculated channel to the existing list by clicking the "Add equation to list" button ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif). Click Ok on the Expression dialog to close it and see your new calculated channel in the channel list.

### Manage Calculated Channels ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSix.gif)

Calculated channels can be edited and deleted by simply selecting them in the list and clicking the Edit or Delete buttons. The entire list of calculated channels can be imported and exported as \*.exp files.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/3.26.2/vehicle-spy-main-menus/main-menu-measurement/data-analysis-tool-dialog/data-analysis-calculated-channels.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
